/**
 * List of projects
 * Currently not used, because moving it creates an error
 */
Ext.define('POSync.view.ProjectsPanel', {
    alias:  'projectsPanel',
    extend: 'Ext.panel.Panel',
    id: 'projects_panel',
    itemId: 'projects_panel',
    items: {
        xtype: 'grid',
        itemId: 'projects',
//        store: Ext.StoreManager.get('Projects'),
        store: Ext.create('POSync.store.Projects'),
        emptyText: 'No projects available',
        columns: [
            {text: 'Id', dataIndex: 'project_id', align: 'right', flex: 1},
            {text: 'Number', dataIndex: 'project_nr', flex: 2},
            {text: 'Name', dataIndex: 'project_name', flex: 7}
        ]
    }
});
